Public Class BrowseSample

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim loTest As New Testing()

        loTest.MyFirstProperty = "Testing"

        ShowInterfaceProperties(loTest)
    End Sub

    Private Sub ShowInterfaceProperties(ByVal Item As Object)
        MsgBox(CType(Item, MyFirstInterface).MyFirstProperty)
    End Sub

    Private Sub BrowseDialog1_RowPopulating(ByVal e As MicroFour.StrataFrame.UI.Windows.Forms.RowPopulatingEventArgs)
        With CType(e.BusinessObject, CustomersBO)
            e.ImageIndex = 0
        End With
    End Sub

    Private Sub CustomersBO1_ParentFormLoading() Handles CustomersBO1.ParentFormLoading
        Me.CustomersBO1.FillTop100()
    End Sub

    Private Sub CustomersBO1_Navigated(ByVal e As MicroFour.StrataFrame.Business.NavigatedEventArgs) Handles CustomersBO1.Navigated
        '-- Establish Locals
        Dim lcMsg As String

        lcMsg = Me.CustomersBO1.CurrentRowIndex.ToString() & " of " & Me.CustomersBO1.Count.ToString()
    End Sub
End Class